<template>
  <div>
    <ClientProfile v-if="user && user.role === 'Client'" :client="user"> </ClientProfile>
    <TrainerProfile v-if="user && user.role === 'Trainer'" :trainer="user"> </TrainerProfile>
    <AdminProfile v-if="user && user.role === 'Admin'"> </AdminProfile>
  </div>
</template>

<script>
import ClientProfile from "../components/profile/ClientProfile.vue";
import TrainerProfile from "../components/profile/TrainerProfile.vue";
import AdminProfile from "../components/profile/AdminProfile.vue";
export default {
  components: { ClientProfile, TrainerProfile, AdminProfile },
  name: "Profile",
  data: function () {
    return {
      selectedTab: "INFO",
    };
  },
  computed: {
    user() {
      return this.$store.getters.getAuthUser;
    },
  }
};
</script>


<style>
.nav-link.active:hover {
  color: white !important;
}
</style>
